/*
 *  Kylin security execute control
 *
 *  This file contains 3 admin related apis for
 *  Kylin security exectl function
 *
 *  Authors: wangyucheng <wangyucheng@kylinos.cn>
 *
 *  Copyright (C) 2017,Tianjin KYLIN Information Technology Co., Ltd.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the
 *  Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */
#ifndef __KYSEC_USER_H__
#define __KYSEC_USER_H__

#include <kysec/exectl.h>
#ifdef __cplusplus
extern "C" {
#endif

/*
 * check whether the current user is secadm.
 * return values:
 * 0 : not secadm
 * 1 : secadm
 */
extern int is_secadm(void);

/*
 * check whether the current user is auditadm.
 * return values:
 * 0 : not auditadm
 * 1 : auditadm
 */
extern int is_auditadm(void);

#ifdef __cplusplus
}
#endif

#endif
